IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_TYPE='BASE TABLE' AND TABLE_NAME='ActivityToClearRight') 
	drop table [dbo].[ActivityToClearRight];
IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_TYPE='BASE TABLE' AND TABLE_NAME='ActivityToClearRight_Chunk') 
	drop table [dbo].[ActivityToClearRight_Chunk];
CREATE TABLE [dbo].[ActivityToClearRight](
       [Id] [uniqueidentifier] NOT NULL
) ON [PRIMARY];
CREATE TABLE [dbo].[ActivityToClearRight_Chunk](
       [Id] [uniqueidentifier] NOT NULL
) ON [PRIMARY];
truncate table [dbo].[ActivityToClearRight];
INSERT INTO [dbo].[ActivityToClearRight] ([Id])
       SELECT DISTINCT EMD.[ActivityId]
       FROM [EmailMessageData] EMD WITH(NOLOCK)
       INNER JOIN [MailboxSyncSettings] MSS WITH(NOLOCK) ON MSS.[Id] = EMD.[MailboxSyncSettings]
       WHERE
             MSS.[IsShared] = 0;
DECLARE @AllEmployee UNIQUEIDENTIFIER = 'A29A3BA5-4B0D-DE11-9A51-005056C00008';
WHILE ((SELECT COUNT(1) FROM [dbo].[ActivityToClearRight]) > 0) 
BEGIN
       INSERT INTO [dbo].[ActivityToClearRight_Chunk] ([Id])
             SELECT TOP 10000 [Id] FROM [dbo].[ActivityToClearRight];
       DELETE FROM [SysActivityRight]
             WHERE [RecordId] IN (
                    SELECT [Id] FROM [dbo].[ActivityToClearRight_Chunk]
             ) AND [SysAdminUnitId] = @AllEmployee;
       delete from [dbo].[ActivityToClearRight] where Id in (SELECT [Id] FROM [dbo].[ActivityToClearRight_Chunk])
       truncate table [dbo].[ActivityToClearRight_Chunk]
END;
drop table [dbo].[ActivityToClearRight];
drop table [dbo].[ActivityToClearRight_Chunk];