﻿-- SD-4872
UPDATE
	[SysModuleEdit]
SET
	[CardSchemaUId] = (SELECT TOP 1 [UId] FROM [SysSchema] AS [SS] WHERE [Name] = 'EmailTemplatePageMultilingual')
WHERE
	[SysModuleEntityId] = (
		SELECT Id
		FROM [SysModuleEntity] SME
		WHERE [SME].[SysEntitySchemaUId] = (
			SELECT [SS].[UId]
			FROM [SysSchema] AS [SS]
			WHERE [SS].[Name] = 'EmailTemplate'
				AND [SS].[ExtendParent] = 0))


UPDATE [SysLookup]
SET [SysEditPageSchemaUId] = (SELECT TOP 1 [UId] FROM [SysSchema] AS [SS] WHERE [Name] = 'EmailTemplatePageMultilingual')
WHERE
	[SysEntitySchemaUId] = (
		SELECT [SS].[UId]
		FROM [SysSchema] AS [SS]
		WHERE [SS].[Name] = 'EmailTemplate'
			AND [SS].[ExtendParent] = 0)
			
DECLARE @FeatureId uniqueidentifier = (SELECT TOP 1 Id FROM Feature where Code = 'EmailMessageMultiLanguageV2')
DECLARE @PortalSysAdminUnit uniqueidentifier = '720B771C-E7A7-4F31-9CFB-52CD21C3739F'
IF NOT EXISTS (SELECT NULL FROM [SysAdminUnit] sa WHERE sa.Id = @PortalSysAdminUnit )
BEGIN
	RETURN;
END
IF NOT EXISTS (SELECT NULL FROM [AdminUnitFeatureState] st WHERE st.FeatureId = @FeatureId AND st.SysAdminUnitId  = @PortalSysAdminUnit)
BEGIN
	INSERT INTO AdminUnitFeatureState (FeatureId, FeatureState, SysAdminUnitId)
	VALUES (@FeatureId, 1, @PortalSysAdminUnit)
END