IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

PRINT 'Restore Region lookup';
IF (OBJECT_ID('Region') IS NOT NULL) AND (OBJECT_ID('Region_backup') IS NOT NULL)
	UPDATE Region
	SET Region.Name = Region_backup.Name
		,Region.Description = Region_backup.Description
		,Region.CountryId = Region_backup.CountryId
		,Region.TimeZoneId = Region_backup.TimeZoneId
	FROM Region_backup
	INNER JOIN Region ON Region_backup.Id = Region.Id;

PRINT 'Restore Country lookup';
IF (OBJECT_ID('Country') IS NOT NULL) AND (OBJECT_ID('Country_backup') IS NOT NULL)
	UPDATE Country
	SET Country.Name = Country_backup.Name
		,Country.Description = Country_backup.Description
		,Country.Image = Country_backup.Image
		,Country.BillingInfo = Country_backup.BillingInfo
		,Country.TimeZoneId = Country_backup.TimeZoneId
		,Country.Code = Country_backup.Code
	FROM Country_backup
	INNER JOIN Country ON Country_backup.Id = Country.Id;

PRINT 'Restore City lookup';
IF (OBJECT_ID('City') IS NOT NULL) AND (OBJECT_ID('City_backup') IS NOT NULL)
	UPDATE City
	SET City.Name = City_backup.Name
		,City.Description = City_backup.Description
		,City.CountryId = City_backup.CountryId
		,City.RegionId = City_backup.RegionId
		,City.TimeZoneId = City_backup.TimeZoneId
	FROM City_backup
	INNER JOIN City ON City_backup.Id = City.Id;